## tdesshaskpass-trinity 14.0.11

=== debian/changelog ===
tdesshaskpass-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 22 Oct 2021 02:19:41 +0200

tdesshaskpass-trinity (4:14.0.11~pre0+0debian8.0.0+0) unstable; urgency=low

  * Initial TDE release

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Aug 2021 03:00:00 +0200

ksshaskpass (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #413109)

 -- Armin Berres <trigger+debian@space-based.de>  Tue, 10 Jun 2008 23:40:01 +0200

## tdesshaskpass-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( tdesshaskpass )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )
tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

## tdesshaskpass-trinity 14.0.12

=== debian/changelog ===
tdesshaskpass-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:48 +0100

=== debian/control ===
Source: tdesshaskpass-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
X-Original-Maintainer: Armin Berres <trigger+debian@space-based.de>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs-trinity-dev
Standards-Version: 3.8.0

Package: tdesshaskpass-trinity
Architecture: any
Depends: ${shlibs:Depends}, openssh-client
Provides: ssh-askpass
Description: interactively prompt users for a passphrase for ssh-add
 A TDE version of ssh-askpass with TDEWallet support.

## tdesshaskpass-trinity 14.0.13

=== debian/changelog ===
tdesshaskpass-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 16:27:42 +0200

## tdesshaskpass-trinity 14.1.0

=== debian/changelog ===
tdesshaskpass-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tdesshaskpass-trinity 14.1.1

=== debian/changelog ===
tdesshaskpass-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tdesshaskpass-trinity 14.1.2

=== debian/changelog ===
tdesshaskpass-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 26 Mar 2024 23:10:28 +0100

## tdesshaskpass-trinity 14.1.3

=== debian/changelog ===
tdesshaskpass-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:33:53 +0200

## tdesshaskpass-trinity 14.1.4

=== debian/changelog ===
tdesshaskpass-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tdesshaskpass-trinity 14.1.5~pre0

=== debian/changelog ===
tdesshaskpass-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for de364be0611a69b99707dba742b96aa3339c2632
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdesshaskpass-trinity 14.1.5

=== debian/changelog ===
tdesshaskpass-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdesshaskpass-trinity 14.1.6~pre0

=== debian/changelog ===
tdesshaskpass-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for de364be0611a69b99707dba742b96aa3339c2632
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdesshaskpass-trinity 14.1.6~pre1

=== debian/changelog ===
tdesshaskpass-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for bb0e28a7be0183d71d6d264b306a39a8ad073a14
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:07:39 +0100

## tdesshaskpass-trinity 14.2.0~pre14

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kdbg (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        tdesshaskpass.cpp
  LINK
     tdeui-shared
     tdeio-shared

  DESTINATION ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
tdesshaskpass-trinity (4:14.2.0~pre14-0ubuntu24.10.0+7) oracular; urgency=low

  * Automated git build for 44be5abf1826efb798a327faa8340771fe7a53b8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 X-Original-Maintainer: Armin Berres <trigger+debian@space-based.de>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev
 Standards-Version: 3.8.0
 
 Package: tdesshaskpass-trinity

## tdesshaskpass-trinity 14.2.0~pre15

=== debian/changelog ===
tdesshaskpass-trinity (4:14.2.0~pre15-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 6d6a791eaea263ffd10c39648891ddd614dcc992
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesshaskpass

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:08:46 +0100
